Bug 1328040 (CVE-2016-3425) - CVE-2016-3425 OpenJDK: incorrect handling of surrogate pairs in XML attribute values (JAXP, 8143167)
Summary: CVE-2016-3425 OpenJDK: incorrect handling of surrogate pairs in XML attribute...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-3425
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1324915
TreeView+ depends on / blocked
 
Reported: 2016-04-18 09:46 UTC by Tomas Hoger
Modified: 2019-09-29 13:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the JAXP component in OpenJDK failed to properly handle Unicode surrogate pairs used as part of the XML attribute values. Specially crafted XML input could cause a Java application to use an excessive amount of memory when parsed.
Clone Of:
Environment:
Last Closed: 2016-05-09 14:41:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0650 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2016-05-23 09:28:59 UTC
Red Hat Product Errata RHSA-2016:0651 normal SHIPPED_LIVE Critical: java-1.8.0-openjdk security update 2016-04-20 23:34:50 UTC
Red Hat Product Errata RHSA-2016:0675 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2016-04-21 18:42:51 UTC
Red Hat Product Errata RHSA-2016:0676 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2016-04-21 17:46:03 UTC
Red Hat Product Errata RHSA-2016:0677 normal SHIPPED_LIVE Critical: java-1.8.0-oracle security update 2017-12-14 23:08:38 UTC
Red Hat Product Errata RHSA-2016:0678 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2017-12-15 03:08:48 UTC
Red Hat Product Errata RHSA-2016:0679 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2017-12-14 20:20:57 UTC
Red Hat Product Errata RHSA-2016:0723 normal SHIPPED_LIVE Critical: java-1.6.0-openjdk security update 2016-05-09 18:04:06 UTC

Description Tomas Hoger 2016-04-18 09:46:23 UTC
It was discovered that the JAXP (Java API for XML Processing) component of OpenJDK failed to properly handle Unicode surrogate pairs used as part of the XML attribute values.  A specially-crafted XML input could cause a Java application to use an excessive amount of memory when parsed.

Comment 1 Tomas Hoger 2016-04-19 20:59:48 UTC
Public now via Oracle Critical Patch Update - April 2016.  Fixed in Oracle Java SE 6u115, 7u101, and 8u91.

External References:

http://www.oracle.com/technetwork/topics/security/cpuapr2016-2881694.html#AppendixJAVA

Comment 2 errata-xmlrpc 2016-04-20 19:35:44 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0651 https://rhn.redhat.com/errata/RHSA-2016-0651.html

Comment 3 errata-xmlrpc 2016-04-20 19:36:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0650 https://rhn.redhat.com/errata/RHSA-2016-0650.html

Comment 4 errata-xmlrpc 2016-04-21 13:46:45 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 7

Via RHSA-2016:0676 https://rhn.redhat.com/errata/RHSA-2016-0676.html

Comment 5 errata-xmlrpc 2016-04-21 14:43:20 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:0677 https://rhn.redhat.com/errata/RHSA-2016-0677.html

Comment 6 errata-xmlrpc 2016-04-21 14:44:32 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0675 https://rhn.redhat.com/errata/RHSA-2016-0675.html

Comment 7 errata-xmlrpc 2016-04-21 14:59:06 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6

Via RHSA-2016:0679 https://rhn.redhat.com/errata/RHSA-2016-0679.html

Comment 8 errata-xmlrpc 2016-04-21 15:00:02 UTC
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2016:0678 https://rhn.redhat.com/errata/RHSA-2016-0678.html

Comment 9 Tomas Hoger 2016-04-21 19:48:04 UTC
OpenJDK8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jaxp/rev/f911290b1b4e

Comment 10 errata-xmlrpc 2016-05-09 14:05:28 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2016:0723 https://rhn.redhat.com/errata/RHSA-2016-0723.html


Note You need to log in before you can comment on or make changes to this bug.